<html>
<head>
<title>Ogre::ProgressiveMesh::PMWorkingData Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html">PMWorkingData</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ProgressiveMesh::PMWorkingData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ProgressiveMesh::PMWorkingData" -->
<p>Data used to calculate the collapse costs.  
 <a href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh.html#a1963ffe016281bb57bb80496590a0e43">TriangleList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#abc95718fbe89b15ac1dabdcbfc19cd56">mTriList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh.html#a9a9fc6707e2c033f44ac650cb8bcebc7">FaceVertexList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#ae86f7159118c6ed73b2aef36c9aec3c0">mFaceVertList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of faces.  <a href="#ae86f7159118c6ed73b2aef36c9aec3c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh.html#a60e89e17d387bd0aa93608a1068f9d42">CommonVertexList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#a69bbfe9ac518ca8c9519c6de8673f8f3">mVertList</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Data used to calculate the collapse costs. </p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00314">314</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae86f7159118c6ed73b2aef36c9aec3c0"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMWorkingData::mFaceVertList" ref="ae86f7159118c6ed73b2aef36c9aec3c0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh.html#a9a9fc6707e2c033f44ac650cb8bcebc7">FaceVertexList</a> <a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#ae86f7159118c6ed73b2aef36c9aec3c0">Ogre::ProgressiveMesh::PMWorkingData::mFaceVertList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of faces. </p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00317">317</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="abc95718fbe89b15ac1dabdcbfc19cd56"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMWorkingData::mTriList" ref="abc95718fbe89b15ac1dabdcbfc19cd56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh.html#a1963ffe016281bb57bb80496590a0e43">TriangleList</a> <a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#abc95718fbe89b15ac1dabdcbfc19cd56">Ogre::ProgressiveMesh::PMWorkingData::mTriList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00316">316</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69bbfe9ac518ca8c9519c6de8673f8f3"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMWorkingData::mVertList" ref="a69bbfe9ac518ca8c9519c6de8673f8f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh.html#a60e89e17d387bd0aa93608a1068f9d42">CommonVertexList</a> <a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#a69bbfe9ac518ca8c9519c6de8673f8f3">Ogre::ProgressiveMesh::PMWorkingData::mVertList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00318">318</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
